<?php
namespace Zeedhi\Tools\DatabaseReader\DTO;

class Sequence {

    protected $name;
    protected $incrementBy;
    protected $maxValue;
    protected $minValue;
    protected $column;

    function __construct($name, $minValue = 1, $incrementBy = 1, $maxValue = PHP_INT_MAX) {
        $this->name = $name;
        $this->minValue = $minValue;
        $this->maxValue = $maxValue;
        $this->incrementBy = $incrementBy;
    }

    /**
     * @return int
     */
    public function getIncrementBy()
    {
        return $this->incrementBy;
    }

    /**
     * @return int
     */
    public function getMaxValue()
    {
        return $this->maxValue;
    }

    /**
     * @return int
     */
    public function getMinValue()
    {
        return $this->minValue;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    public function setColumn($column){
        $this->column = $column;
    }

    public function getColumn(){
        return $this->column;
    }
}